Here is a history of changes made to each new JMDB version!

(*) feature corrected / updated
(+) added feature
(-) removed feature
(/) external addons included and environment checks
(u) unfinished work
(!) General information


1.40 pre-release 1 - 2010-04-01
-------------------------------
(+) Added support of text search (currently MySQL and PostgreSQL)
    which is a lot faster compared to the previous LIKE/ILIKE search.
    Creating the necessary indexes eates a little bit of the huge import
    speed improvements (see below).
    Note 1: MySQL will fall back to the slow LIKE search if a
            searched word is < 3 characters long...NOT YET IMPLEMENTED!
    Note 2: Text-Search and LIKE/ILIKE search will not return the
            exact same search results!
    Note 3: Operators as 'AND', 'OR', 'NOT' (PostgreSQL) as well
            as '!', '+', '-' (MySQL) can be used!
(+) Rewrote the import to use JDBC 'Prepared Batch Inserts' which
    speed up the import for PostgreSQL and also MySQL (especially
    with the rewriteBatchedStatements parameter - for MySQL check:
    http://www.jroller.com/mmatthews/entry/speeding_up_batch_inserts_for)
(+) Changed basic SQL execution classes in JMDB so a JDBC driver
    supporting a backwards scrolling ResultSet is no longer needed.
    This allowed updating the PostgreSQL driver to the latest
    release (see external addons below).
(+) Added support of the 'alternate-versions.list'
(+) Added support of the 'crazy-credits.list'
(+) Added support of the 'literature.list'
(+) Added support of the 'locations.list'
    This basically also allows to open google maps to lookup the
    location in your browser. Some search words might prevent
    google from finding the location so you might have to delete
    some of the words used.
(+) Added italian translation (many thanks to Vittorio Monaco)
(+) Added parameter and checkbox to disable most of the settings
    within the JMDB-Setup dialog that normally don't have to be
    changed. This will help new users to configure JMDB faster and
    to reduce confusion.
(+) Introduced a debug parameter so features not yet ready to be used
    by the end-user are hidden. As a result you no longer see the
    IMDb FTP-Server tab in the JMDB-Setup dialog.
(*) Fixed some typos in english translation
(*) Changed the min/max width of the 'Ratings' column that's normally
    shown in the search result window. For example on Linux (e.g. Ubuntu)
    this column has been to small so the number of votes were truncated.
(*) 'MySQL >=5.0.0' is selected as default MySQL version on
    first start in JMDB-Setup dialog. Before 'MySQL >3.23.28'
    has been selected. This was causing the problem that users use the
    wrong version, because they don't change the value unless they use
    PostgreSQL.
(*) Updated default URL parameters for MySQL to use 
    'rewriteBatchedStatements=true' and removed the parameter
    'characterEncoding=iso8859-1' which is causing some problems with
    newer MySQL and Connector/J versions.
(*) Fixed the MySQL index creation on 4 tables. The error didn't do any
    damage but showed up on the JMDB.log.
(*) Updated selection of default import file setting which are now
    internally updated so no restart is needed to activate the 
    changes (now internally the default settings are stored; before
    all entries just had been enabled).
(*) Fixed automatic check when the path to the IMDb list files is
    entered directly are selected using the file dialog.
    The path is instantly checked if the files can be found!
(*) Updated the Movie Collection to use the database abstraction.
    It's now possible to define the codepage/charset in the *.def file so
    the *.data can be read corrently if the default behaviour doesn't work.
    The code has been updated to use BatchInserts for the tmpmovies table
    and it's possible to turn off the creation and population
    of the tmpmovies table.
    The tmpmovies table now contains the columns movieid, title and year
    (the year has been added).
    General note: Tests show that PostgreSQL v8.4 is 10x faster compared
    to MySQL 5.1.27! On a second call of the collection MySQL is catching
    up.
(*) Updated URLs (HTML files and documentation/created desktop
    icons)
(*) Updated HTML help including the images that come with JMDB
    to show the new JMDB-Setup dialog settings.
(*) Updated MacOS 'jmdb.app' directory and content
(/) Added sample Excel/OpenOffice sheets containing movies of
    'John Doe' that can be exported to a *.data file. This sample
    allows you to use Excel/OpenOffice to add movies which can
    be shared with friends using JMDB.
(/) Added latest PostgreSQL JDBC driver v8.4
(/) Added latest MySQL JDBC driver 5.1.11 because of the
    possible speed improvements while using the URL parameter
    'rewriteBatchedStatements=true'.
(/) Fixed error in the REXX script that prevented it to create desktop
    icons and start scripts on eComStation and OS/2.
(!) Tested the external MySQL InnoDB plugin (tested v1.0.4 with
    MySQL 5.1.37)! This is faster then the default InnoDB engine
    that comes with MySQL: http://www.innodb.com/downloads/


1.36 (Refresh) - 2009-02-17
---------------------------
(*) Updated the import class responsible for the aka files (titles and
    names). Due to a changed title JMDB did interpret one entry as end
    of data mark and stopped importing aka-titles before it was
    complete.
(+) Added translation for Chinese mainland and Taiwan (zh_CN and zh_TW)
    in the JMDB v1.36 refreshed package which is otherwise unchanged
    (many thanks to Zhangdao).
(/) Updated all start scripts to use (max.) 400MB by default because
    more memory is again needed for the import (-Xmx parameter; see
    also JMDB.de entry page).


1.35 - 2007-09-20
-----------------
(+) Added the selection of the first line in a JTable if there
    are entries in it (this will work for all JTables used by JMDB).
(+) Added keyboard support for the JTables which list the search
    results. This enhancement will let you call the details of
    the currently selected entry by pressing 'ENTER'-key.
(+) Added support for another external Java LookAndFeel extension
    - NimROD (FREE - http://personales.ya.com/nimrod/index-en.html)
      It has a small problem on eComStation and OS/2 with the
      Golden Code Java but doesn't show this problem with the
      Innotek Java version.
    The user has to drop the Look and Feel package (it's a *.jar file;
    e.g. 'looks-2.0.4.jar') into the subdirectory '.\plugins\laf'.
    See note "1.35 beta - 2006-08-10" for the other supported
    LookAndFeel extensions.
(+) Added Dutch translation (many thanks to Roland Bouwmans)
(+) Added/Updated French translation (many thanks to Jean-Claude Vignoli)
(*) Updated Russian translation (many thanks to Vladimir Frelikh)
(*) Updated Serbian translation (many thanks to Marko Bastovanovic)
(*) Updated Spanish translation (many thanks to Delfi Reinoso)
(*) Updated Swedish translation (many thanks to Johnny Johannesson)
(*) Updated links to other websites (e.g. Paul Smedley website)
(*) Updated HTML-Help
(*) Tweaked the size of table columns (varchar) a little bit
    to import the latest IMDb files without an error.
(-) Removed Expert Result window
(/) Added latest stable MYSQL database driver of the v3.1.x series.
    (Connector/J V3.1.14 - 2006-10-18)
(/) Added informations for a major speed-up when using MySQL
    InnoDB storage engine. This will make the index creation
    on the movies2actors table 6x times faster (or even more
    depending on your system).
(!) Included are ALL changes from the previous beta versions!!!
    Please read the details about these changed in the following
    version notes.
    ==========================================
    Most noticable changes - there are more...
    ==========================================
    - Added support of the 'movies-links.list' file
    - Added support for the IMDb tv series/shows episode
      listing that has been added end of January 2006 (see note
      "1.35 beta - 2006-02-22")
    - Workaround for reoccuring IMDb errors (slightly slows down
      the import of some *.list(.gz) files).
    - Major speed improvements (see note "1.35 beta - 2006-08-10")
    - Updated and new languages files
    - PDF-Export (see note "1.35 beta - 2006-08-02")
    - Memory monitoring while importing (can lead to false
      warnings as I need to guess the -Xmx parameter setting)
    - Exception handling added (--> OutOfMemoryException will
      be catched)
    - Database changes
    - Added support for unoffical IMDb ID list file (only movie ID's)
    - PostgreSQL support
    - Better Apple MacOS X integration (icon,...)
    - Added support for other Swing Look'n'Feels (see note 
      "1.35 beta - 2006-08-10")


1.35 internal beta - 2007-01-23
-------------------------------
(+) Added JMDB start script (.app bundle) for Mac OS X (many thanks
    to James Nicolson, Kai Schulte and Jan Weiss) and also added Icon
    library with multiple sizes to the .app bundle (jmdb.app directory).
(*) Updated linux start script (many thanks to Jan Weiss)
(*) Updated language file keys
(-) Removed old MySQL JDBC fallback driver name
(/) Updated readme.txt (List of supporters has been updated once again)
(/) Updated all start scripts to use (max.) 300MB by default because
    more memory is needed for the import (-Xmx parameter).
(u) Experimental work testing Derby (aka Java DB) and SQLite by 
    Holger Cremer. There are several things to change until
    this will work. Don't expect anything before JMDB v1.40!


1.35 beta - 2006-11-17
----------------------
(+) Added memory monitoring (JMDB will warn you when it runs on low 
    memory <15MB).
(+) Added exception handling for OutOfMemoryError exceptions
    The import will be canceled and a information message will be shown!
(+) Added support for an unoffical IMDb ID list for movies provided by
    an JMDB user (IMDb doesn't release this information). This requires
    round about 40-50 MB more memory (at the moment).
    The file may be available on my website later (or the download will
    be possible within JMDB).
    There is a small database modification (added a new field imdbId
    to the movies table) which is currently only used on the movie details
    (the movie URL).
    The file (~11.5 MB) is currently only available on request!
(+) Added Serbian translation (many thanks to Marko Bastovanovic for 
    this and the other thing)
(*) Added workaround/checks for the double SPACE problem of episode titles
    from movies
    This slows down the import on some files! The errors are written to the
    IMDb_Error.log!
(*) Enhanced IMDb_Error.log output, so you see where a failed request came
    from. Most errors are from the outdated/no longer supported german-/
    italian-/iso-aka-titles files.
(*) Some minor enhancements
(*) All other improvements from the previous 1.35 BETA versions are included
(/) Updated instOS2.cmd script (eCS and OS/2) and also the Linux/MacOS/
    Windows start scripts (start*.*) because more memory is needed for the
    import (-Xmx parameter).
(u) Translation is not up-to-date for Spanish, Russian, Swedish and Serbian
    (english messages will be shown instead of the correct language). The
    German and English translation is complete.


1.35 beta - 2006-08-10
----------------------
(*) Speed improvement on IMDb list file import for
    - biographies         (~13 times faster)
    - plots               (~ 3 times faster)
    - business            (~ 6 times faster)
    - quotes              (12-21 times faster; maybe even more)
    - mpaa-rating-reasons (unknown/not compared)
    - trivia              (unknown/not compared)
    - taglines            (unknown/not compared)
    - goofs               (unknown/not compared)
(*) Swedish language file updated (all languages are on the same level again)
    Many thanks to Olof Hjalmarsson for taking the time to update it! 
(*) Changed the logging behaviour a little bit on the import that allows
    to disable it after a certain number of errors occurred (currently 10).
    A additional debugMode will also be turned on that will output additional
    information into the logfile until the loggins will be temporarily
    disabled.
    The logging will be enabled again at the end of each list file.
    The code itself needs some cleanup here as it's only a hack due to the
    import problems that show up all the time (see website-news on 
    2006-08-08 and the added workaround for the running-times.list).
(+) Added support of the 'movies-links.list'
    Currently those don't allow to call details on the referenced
    movie by just clicking on the name. It's a little bit tricky
    to add it and would take to much time that I don't have right now.
(+) Added support for several external Java LookAndFeel extensions,
    but some may not work with the Java Runtime version that are
    used by the user and therefore not loaded.
    The user has to drop the Look and Feel package (it's a *.jar file;
    e.g. 'looks-2.0.4.jar') into the subdirectory '.\plugins\laf'.
    NOTE 1: Most of the LAFs above also support additional skins/colors
            which is currently not supported/chooseable in JMDB!
    NOTE 2: I may remove support for of the LAFs in the final release!

    Supported LAFs:
    ===============
    - JGoodies Looks (FREE - http://www.jgoodies.com/)
    - Lipstik (Free for non commercial use - http://regis.risp.pl/)
       I'm in contact with the author because:
        - v1.0 beta has a small problem to add itself to the styles menu
        - Golden Code Java 1.4.1 on eCS and OS/2 doesn't work 100% with
          the JMDB Setup (the file chooser doesn't work).
          Maybe it's a general Java 1.4.1 issue.             
    - Substance  (License BSD  - https://substance.dev.java.net/)
    - Tonic      (License LGPL - http://www.digitprop.com/)
(+) Added a check at startup that will delete the JMDB.log if it's bigger
    than 512 KB.
(+) Added workaround for a IMDb file export bug in the running-times.list
    '[..]USA:3[Some really stupid description][..]'
    This problem showed up on an import test with files from 2006-08-04!
(/) Updated instOS2.cmd script (eCS and OS/2) - EPM.EXE used to open JMDB.log
(/) Updated bugs.txt


1.35 beta - 2006-08-02
----------------------
(*) Speed improvement (factor greater 2) for MySQL 4/5 databases
    [Detail: using '..UNION..'/'..INNER JOIN..' instead of '..IN (SELECT..)']
(*) fixed LIMIT issues on 'MySQL >=4.0.x/5.0' which prevented to use
    this option for the search (temporary fix for BETA 1 was selecting
    the 'MySQL >3.23.28' setting in the JMDB-Setup after an IMDb list
     file import).
    The import was working and hasn't changed!
(*) Fixed aka search with the 'MySQL >3.23.28' db setting which didn't
    actually show all results (LONGTIME-BUG)
(*) Fixed other SQL issues in the query (broken word search for MySQL 4/5 
    and PostgreSQL,...)
(*) Fixed right-click PopupMenu display position and menu removal
(*) Fixed PDF Export issues
    - Illegal characters in filenames will be removed/replaced (filename is
      name of person/movie)
    - Reported 'failed' export even if was 'successful' (Translation is not
      complete yet!)
(*) PDF-Export at the Detail Windows.
    A dialog will be shown if you right-click on the detail window!
    The needed library (iText) is now included with this release. 
    The library can be found in the .\plugins\export subdirectory.
    The iText free Java PDF library can be downloaded from the following
    website if you want to upgrade (update classpath setting):
    http://www.lowagie.com/iText/download.html    
(+) Added switch to show or remove episodes of series from the
    releasedate search result
(+) Added 'export' directory where the PDF exports will be saved. The
    directory will be created automatically if it doesn't exist.
(/) Added latest stable MySQL database driver (Connector/J V3.1.13 - 2006-05-27)
    This driver allows using MySQL v3.23.28 up to v5.1.x!
    MySQL Connector/J 5.x is not yet included because it doesn't support
    MySQL 3.23.x any more.
    After some tests this may change with future JMDB releases.
(/) Updated start*.* scripts (Windows, Linux)
(/) Updated instOS2.cmd script (eCS and OS/2)
(/) Updated history.txt, readme.txt, bugs.txt
(/) for the commandline import option read the description in the history.txt
    for JMDB '1.35 beta - 2006-02-22'


1.35 beta - 2006-02-22
----------------------
(+) Added support for the IMDb tv series/shows episode
    listing that has been added end of January 2006. 
    The search window got a swith to show episodes
    in the search results or to remove them from the results.
(+) Changed the setup window (now resizeable; more options;
    not all options are currently used - e.g. FTP settings)
(+) Added PostgreSQL >=7.x support
(+) Added MySQL >=4.0.x and >=5.0 support
(+) Added feature to import files using command-line switches
    details will be added later
(+) Added basic support for PDF-Export (still ongoing) at 
    the Detail Windows. A dialog will be shown if you right-click
    on the detail window!
    REQUIREMENTS:
    =============
    The library 'itext-1.3.jar' needs to be downloaded and added
    to the classpath (see -cp parameter at the start*.* files).
    Download it here: http://www.lowagie.com/iText/download.html
    It will be included later after I checked the used license!
(*) Lots of bugfixes on various parts of the application and
    most likely new bugs. ;) 
(*) Updated installation and script updates to allow external 
    language files
(*) Updated weblinks (JMDB FAQ, MySQL JDBC Driver Homepage)
(*) Updated language files (English, German, Spanish, Russian)
    Swedish is also included but NOT YET on the latest level.
(/) Updated bugs.txt (not all bugs are listed)
(/) Added latest stable MYSQL database driver 
    (Connector/J V3.1.12 - 2005-12-22)
(/) Added 'old' PostgreSQL driver v74.215 for 
    PostgreSQL >=7.x
    The lastest PostgreSQL 8 driver has still missing 
    features we need!
(+) Added a commandline option to start JMDB, import new 
    files without user interaction (resume will be used if 
    possible - see below) and the application gets closed 
    after the import! 
    The search window will not be displayed if one of the 
    parameters is used, but if there has been an interruped 
    import it will be resumed (it doesn't ask you)!!!
    If you press the "Cancel" button in the converter window, 
    the unattended import will be disabled and normal use is 
    possible (the application will then not get closed 
    automatically).
    All warning messages (DROP DATABASE,...) will be skipped 
    so use it with extreme caution 
    --- we are not responsible for any data loss!!! ---

    It still needs some finetuning...closing the application 
    generates 'Exception in thread "Thread-2"...'

    The commandline options are (case-insensitive): 
    ===============================================
    IMPORTWITHINDEX
     or
    IMPORTWITHOUTINDEX

    A little howto:
    ===============
    Just add the parameter after "jmdb.base.JMDBMain" in 
    your JMDB script you use to call the application.
    Example:
    [...path java-runtime parameters for java and other stuff...] jmdb.base.JMDBMain ImportWithIndex


1.3 (refresh) - 2005-07-13
--------------------------
(*) Updated installation and script updates to allow external language files
(*) Updated German and English translation
(+) Added Spanish (many thanks to Sergi Tur Badenas at Acacha-Movies see 
    link below) and Swedish (many thanks to Olof Hjalmarsson) translation
(*) Added sounds directory (again)
(*) Updated weblinks (JMDB FAQ, MySQL JDBC Driver Homepage)
(-) Removed local JMDB FAQ file (added external link to JMDB FAQ instead)
(/) Added latest stable MYSQL database driver 
    (Connector/J V3.1.10 - 2005-06-23)
    This driver allows using MySQL v3.23.28 up to v4.1.12! 
    MySQL v5.x is untested.
(/) Updated bugs.txt (some added bugs are fixed in the upcomming JMDB v1.35)

Acacha-Movies: http://sga2.upc.es:8080/acacha-movies/


1.3 - 2003-11-15
----------------
(+) Added multi-language support (currently only German and English)
    Window sizes had to be changed.
    We are looking for volunteers that want to translate the program 
    to other languages. Contact us via eMail (see website).
    The documentation (including help) is still english only!
(+) DB tables: Certificates added
(*) Detail window: changed sorting of movies for producer and
                   director - now sorted by years
(*) MovieCollection: added some samples and renamed the examples from
                     *.data/def to *_Examples.data/def to make it
                     clear that these will be overwritten with
                     newer releases
(*) Updated installation
    - all OSes: -updated batch files/scripts and 
                 added '-Xmx96M' parameter to JAVA(W)
                 =======================================================
                 WARNING:
                 ---------
                 This leads to an out of memory exception when you 
                 have less than 100 MB of free memory left, but it will 
                 dramatically speed up the import of new IMDb data files.
                 The speedup our beta testers reported where between 
                 factor 2 and 4, while some files could be imported even faster.
                 You can also remove the '-Xmx' memory setting or lower the
                 amount of memory used (don't go below 64M) to use the program!
                 For normal operation th '-Xmx' parameter is not needed!
                 =======================================================
    - OS/2:     -updated "instos2.cmd" 
                 It will now find more installed JAVA VMs
                 and adds the '-Xmx' parameter to the
                 start scripts.
(/) Added latest stable MYSQL database driver (Connector/J V3.0.9)
    This may also solve some string corruption problems.


1.2 - 2003-06-08
----------------
(+) Search for releasedates including country (which movies can
    be seen this week,...)
    The setting for the Timeframe search can be saved.
(+) Setup - select default internet browser (required for all URL functions)
          - select which IMDb data files you want to import
          - select the order of releasedates in the movie detail window
            sort by country (default) or date possible
(+) IMDb URL for movies or persons 
    (know bug -> umlauts in different languages not correctly converted
     will be fixed if we use a function from Java 1.4 - currently using 1.2)
(+) Link to JMDB Homepage in menu and 'About box'
(*) Updated installation
    - Windows: new Windows Installer
(*) Changed icons in toolbar, added program icon and splash picture
(*) Changed db structure of releasedates (NEW IMPORT OF THIS FILE NEEDED)
(*) The JTable column width can be changed without changing the sort order (bugfix)
(*) Updated Movie Collections and added a lot of features
    -column type is now used for sorting the entries
     ("NumberFormatException" when you try to convert "abc" to a number!
      You have to change the Column setup in the *.def file.
      This may be necessary for 'COLUMN = Rating... ; String ; ...'
      if you don't want to update the *.def AND *.data!)
    -information can be shown in multiple lines per movie
    -you can switch between one and multiple lines per movie and the
     default (automatic mode --> LINESPERROW = 0) and is set in the 
     *.def file for each collection
    -SQL commands can now have more then one return argument
(*) Kill database has gotten a security check


1.1 - 2003-01-20
----------------
(*) Changed the import functions for the IMDb listfiles because of some minor 
    format changes. The 1.0 stops working when trying to import current 
    listfiles (since 2002-12-28).


1.0 - 2002-10-09
----------------
(+) Conversion resume: Temporarily cancel the IMDB data files import.
    The last file that has been imported is being saved. When starting
    the next conversion, JMDB will ask you if to resume at this file or
    start the conversion from the very first file.
    This should also help if your Java Runtime crashes. You don't have
    to start from the beginning in this case.
(*) The setup window that pops up the first time you start JMDB now closes
    correctly when pressing "Save".
(*) Testing the database connection works also from the setup window that
    pops up when you start JMDB the first time.
(*) Default database password is now 'root'.
(*) Detailed output of the running time in the console window while the
    database conversion runs.
(*) Index for database tables are created at the end of the conversion.
(*) Added latest MySQL AB database driver (2.0.14)
    *** THE 3.XX.XX DRIVERS DON'T WORK WITH JMDB AT THE MOMENT ***
(*) Updated installation
    - all OSes: -updated batch files/scripts
    - OS/2:     -updated "instos2.cmd" (it now finds the LATEST 
                 MySQL db driver if there is more than one in the
                 current dir - the OLD drivers are not found by the
                 instos2.cmd any more)
                -updated desktop icons created by instos2.cmd
    - Windows:  -Windows EXE to install JMDB available
                -HTML links to different locations (MySQL, IMDb,...)
(*) Starting JMDB under Windows checks if java is available and
    notifies the user if it's not.
(*) Updated readme (new links, installation, drivers,...)
(*) New icons in different sizes with transparent background


1.0 beta 2 - 2002-07-05
-----------------------
(*) JMDB crash with the akanames (since 2002-06-22) corrected!
(*) Updated installation
    - OS/2: updated "instos2.cmd" (it now finds the LATEST MySQL db driver, 
            if there is more than one in the current dir)


1.0 beta 1 - 2002-05-27
-----------------------
(*) JRE crash: to find the exact part of the code where the JRE crash while 
    converting occurs there are some more steps where we put details to the 
    logfile!
    At least for the convert procedure, you should use the JMDB-Debug startup
    script and inform us when the JRE crashed while converting the *.list files.
(+) New search method WordSearch implemented, that means searching
    for items that contain all the words disregarding the order.
    This is a really simple but useful method like in web search machines.
    "String comparison" search is now called "Whole String".
(*) Expert result window re-implemented
    - search runs in a thread
    - new dialog with status bar and some buttons at the top
    - drag and drop between different expert result windows implemented
      (it behaves not so well, but I think that's the Java Runtime's fault)
    - cloning the ERW works now
(-) "Edit"-menu removed because it was only used for Expert Result Windows
    and an ERW has buttons for cut/copy/... itself.
(*) Fixed a bug in placing a result window when "SameWindow" option was
    enabled (the position of the old frame was taken for the new window even
    if the old one was closed)
(*) QuickSearch means now only search in the normal table (e.g. movies)
    with substrings and then in the AKA table (e.g. akatitles). In the past,
    a BeginWith-Search was another partially search and was the first that
    was executed.
(*) All windows have close buttons again, they work correctly now:
    internal frames detach themselves from the "window" menu, the main
    window writes the config before exiting JMDB
(+) When the text field in the search window gets the focus again, all the
    text is selected, so the user can directly start to write another search
    expression
(+) When "same window" option in search window is checked, the last result
    window is closed before starting the actual search.
(*) Search window: when "start"-button was default-button and then the user
    pressed enter in the text field, the search was started two times.
    Now, after every keypress, none of the buttons is the default button.
(+) New option "search again" in File menu activates the last search window
    that was used
(+) F1 opens help, F3 opens the last search window, F7 creates a new search
    window
(*) Alt-s in main window is "search window" again (was assigned to the wrong
    button)
(+) Setup - FileChooser-dialog added for selecting directory and files
(*) Codepage problems with (German Umlauts) solved!
    If you make an update from a previous JMDB version the Database 
    connection URL string has to be updated to (interesting part beginning 
    with the ?):
    jdbc:mysql://localhost:3306/jmdb?useUnicode=true&characterEncoding=iso8859-1
(*) Connection check at every new search. The status bar changes directly
    if the connection to the server is broken!
(/) Added latest MM.MYSQL database driver (V2.0.12)
(/) Checked latest OS/2 release of Java 1.3.1 (IBM build co131-20020405)
(*) Updated installation
    - OS/2: updated "instos2.cmd" (Java 1.3.1 and Java 1.3 are now both found)


0.99 beta 2 (HOTFIX!!!) - 2002-04-11
------------------------------------
(*) Fixed serious bug that prevents converter from converting the
    actors/actresses (hang)
(+) Import compressed IMDb files (*.list.gz)


0.99 beta - 2002-04-06
----------------------
(+) Rewrite of the main dialogs with threads, database queries now work in
    the background, allowing a quickly updated display and multiple queries at
    the same time.
    New dialogs have a progressbar and a status message at the bottom showing
    the actual database query or whats going on right now.
(+) Complete new "simple result window" with a configurable table:
    - columns title, year, rating, directors, actors for movies
    - quick sort function that makes several quick db queries for a quicker
      result in the dialog
    - automatic resort of the table rows after all results came in
      (only if the user didn't click into the table)
    - while database queries are working in the simple result window, the user
      can start a detail window query for the movie/person
    - table sortable by columns
    - options configurable in setup
    - bookmark function to add a movie in the "Bookmarks Movie Collection"
      (see underneath)
(+) Complete new "detail window"
    - quick navigation menu with all the categories of data shown for jumping
      to that position, a hotlist internally stores the most clicked categorys
      and highlights them in the menu
    - hyperlinks (movies, actors, directors, producers) to open a new detail
      window
(+) Complete new "DatabaseConverter"
    - window is now JInternalFrame
    - threads are now supported, and you see the progress of the file import
    - menu and toolbar are disabled/invisible while converting
(+) IMDb data errors are now written into an extra log file (IMDb_Error.log)
(+) "movie collections" are sets of movies defined in text files.
    With movie collections, the user can manage a Bookmark movie list and
    his own video or DVD lists inside JMDB.
    Movie collections are presented as a table inside JMDB. With one mouse
    click, the user can open a detail windows for a movie the same way as in
    a simple result window.
    The design of the table is configurable in the table definition file.
    Columns with their size and colors are defined there.
    The data text files are standard CSV (character separated
    value) files, that can easily be edited with a text editor or created from a
    spreadsheet application.
    For filling the table inside JMDB, the data is read from the data file.
    Macrowords can be defined and result in an automatic table filling from the
    database, e.g. the word RATING could be replaced automatically by a string
    representing the rating for that movie. Macroword definitions are SQL
    statements. Also SQL commands can be defined that are executed before
    filling the table.
    So, the whole movie collection feature goes from a simple table with only
    one movie name column to a table with several columns and complex automatic SQL macros.
(+) Database check at startup, result in main window status bar at bottom of screen
(+) New values are saved in cfg: search window options, result window size,
    help window size, detail window size, database converter window size
(+) New Intelligent Window Positioning tries to place a new internal frame at a free
    position
(+) Added Java LookAndFeel support (now you can select different styles)
(*) Added reading the movies.list in the Database Converter to find how many 
    movies are in it.
    That is needed to specifiy the size of the movie array that holds the 
    data for fast access during the convert procedure.
    It takes less than 5 seconds to do that.
(*) Updated installation
    - OS/2   : updated "startos2.cmd" and "startos2debug.cmd" (created by instos2.cmd)
               updated "instos2.cmd" (updated URLs, automatic search for db driver) and 
               finally made an WarpIN Installer Archive available
    - Windows: updated "startwin.bat" and added "startwindebug.bat"
    - Linux  : updated "startlinux"
(*) Renaming the cfg values, replacing them as static class variables
(*) Complete resorting the classes into new packages jmdb.base, jmdb.database,
    jmdb.sortabletable, jmdb.util
(*) Changed internal use of name, version, url,...
(*) Minimum window sizes set correctly
(*) JMDB saves the config not only by menu item "File->Exit" but also with clicking the
    window close button
(*) JMDBSetup tries to get the correct paths for the first start and prepares the config
(/) Added latest MM.MYSQL database driver (V2.0.11)
(/) Checked Sun Java 1.4 environment (Win)
(/) Checked IBM Java 1.3 environment (OS/2 - updated by IBM 2002-02-15)
(u) ExpertResult window not yet available (will be working again in version 1.0)


0.94 beta to 0.98 beta - no public version
------------------------------------------
(*) Updated converter array to read the bigger movies.list files


0.93 beta - 2001-06-30
----------------------
(*) "Search for AKAs" in search window is enabled by default
(*) List of movies after a search with AKAs is sorted completely now
    (two sorted lists in old version)


0.92 beta - 2001-05-28
----------------------
(*) Config Setup is now diplayed in the middle of the screen, when jmdb.cfg doesn't exist.
(*) Splash screen is now shown correctly
(*) technical.list can again be read by JMDB (there has been added one empty line in 
    ASCII file)
(*) Removed tabs from keywords, genres, prod. companies, countries,... 
    (internal information: all files read by class DataImportType1 and have TABs in it)
(*) Added some text messages in Database Converter
(*) Updated readme (added copyright information, corrected name and link of OS/2 archiver
    to extract ASCII files, added link to IMDB FAQ and the latest OS/2 MySQL versions)
(+) DB tables: Taglines and Goofs added
(+) Added aka search on titles and names; Checkbox in search window
(+) Added copyright information for IMDb data (copyimdb.txt, readme and at the bottom
    of JMDB detail windows).
(+) OS2 install skript updated (automatic Boot drive recognition and more desktop icons)
(+) Added file 'history' to package
(+) Added file 'file_id.diz' to package (FidoNet)
(-) Setup: disabled 'Prompt for User ID and Password....' on DB-Setup page


0.91 beta - 2001-04-29
----------------------
(*) About box can be opened now
(+) DB tables: Quotes, Trivia, MPAA rating reasons added


0.90 beta - 2001-04-25
----------------------
(!) First public version
